| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::PendingVariantMap Class Reference
Utililty classes

The PendingVariantMap class is a generic subclass of PendingOperation representing a pending D-Bus method call that returns a variant map. More...

`#include <TelepathyQt/PendingVariantMap>`

Inherits Tp::PendingOperation.

## Public Member Functions

| PendingVariantMap (QDBusPendingCall call, const SharedPtr< RefCounted > &object)
| ~PendingVariantMap ()
QVariantMap | result () const
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const

## Additional Inherited Members

Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const

## Detailed Description

The PendingVariantMap class is a generic subclass of PendingOperation representing a pending D-Bus method call that returns a variant map.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingVariantMap::PendingVariantMap | ( | QDBusPendingCall | call,
|  | const SharedPtr< RefCounted > & | object
| ) |  |

Tp::PendingVariantMap::~PendingVariantMap | ( |  | ) |

Class destructor.

## Member Function Documentation

QVariantMap Tp::PendingVariantMap::result | ( |  | ) | const